org.wildfly.swarm.config.ejb3.remoting_profile

## Class RemotingEJBReceiver<T extends RemotingEJBReceiver<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.remoting_profile.RemotingEJBReceiver<T>

-     public class RemotingEJBReceiver<T extends RemotingEJBReceiver<T>>
      extends Object

  A remoting ejb receiver reference included in the profile

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemotingEJBReceiver.RemotingEJBReceiverResources` Child mutators for RemotingEJBReceiver

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemotingEJBReceiver(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `channelCreationOptions(ChannelCreationOptions value)` Add the ChannelCreationOptions object to the list of subresources
    `T` | `channelCreationOptions(ChannelCreationOptionsSupplier supplier)` Install a supplied ChannelCreationOptions object to the list of subresources
    `T` | `channelCreationOptions(List<ChannelCreationOptions> value)` Add all ChannelCreationOptions objects to this subresource
    `T` | `channelCreationOptions(String childKey)` Create and configure a ChannelCreationOptions object to the list of subresources
    `T` | `channelCreationOptions(String childKey, ChannelCreationOptionsConsumer consumer)` Create and configure a ChannelCreationOptions object to the list of subresources
    `Long` | `connectTimeout()` Remoting ejb receiver connect timeout
    `T` | `connectTimeout(Long value)` Remoting ejb receiver connect timeout
    `String` | `getKey()`
    `String` | `outboundConnectionRef()` Name of outbound connection that will be used by the ejb receiver
    `T` | `outboundConnectionRef(String value)` Name of outbound connection that will be used by the ejb receiver
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `RemotingEJBReceiver.RemotingEJBReceiverResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemotingEJBReceiver

          public RemotingEJBReceiver(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public RemotingEJBReceiver.RemotingEJBReceiverResources subresources()

    - #### channelCreationOptions

          public T channelCreationOptions(List<ChannelCreationOptions> value)

      Add all ChannelCreationOptions objects to this subresource
      Parameters:
        `value` - List of ChannelCreationOptions objects.
      Returns:
        this

    - #### channelCreationOptions

          public T channelCreationOptions(ChannelCreationOptions value)

      Add the ChannelCreationOptions object to the list of subresources
      Parameters:
        `value` - The ChannelCreationOptions to add
      Returns:
        this

    - #### channelCreationOptions

          public T channelCreationOptions(String childKey,
                                          ChannelCreationOptionsConsumer consumer)

      Create and configure a ChannelCreationOptions object to the list of subresources
      Parameters:
        `key` - The key for the ChannelCreationOptions resource
        `config` - The ChannelCreationOptionsConsumer to use
      Returns:
        this

    - #### channelCreationOptions

          public T channelCreationOptions(String childKey)

      Create and configure a ChannelCreationOptions object to the list of subresources
      Parameters:
        `key` - The key for the ChannelCreationOptions resource
      Returns:
        this

    - #### channelCreationOptions

          public T channelCreationOptions(ChannelCreationOptionsSupplier supplier)

      Install a supplied ChannelCreationOptions object to the list of subresources

    - #### connectTimeout

          public Long connectTimeout()

      Remoting ejb receiver connect timeout

    - #### connectTimeout

          public T connectTimeout(Long value)

      Remoting ejb receiver connect timeout

    - #### outboundConnectionRef

          public String outboundConnectionRef()

      Name of outbound connection that will be used by the ejb receiver

    - #### outboundConnectionRef

          public T outboundConnectionRef(String value)

      Name of outbound connection that will be used by the ejb receiver

Copyright © 2018 JBoss by Red Hat. All rights reserved.